<?
/*
 * (C) Copyright 2003 Krzysztof Gibas <sdas (at) gibas org>
 *                      - current maintainer
 *               2001 Gonthar <gonthar (at) moon net pl>
 *                      - developed scr_ipfm-0.1
 *
 * scr_ipfm generates graphical statistics from ipfm logs. 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This  program is  distributed in the  hope  that  it will be useful,
 * but  WITHOUT  ANY  WARRANTY;  without even  the  implied warranty of
 * MERCHANTABILITY  or  FITNESS  FOR  A  PARTICULAR  PURPOSE.  See  the
 * GNU General Public License for more details.
 *
 * You  should  have  received a copy of the GNU General Public License
 * along  with  this  program;  if  not,  write  to  the  Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
 * USA.
 *
 * $Id: index.php,v 1.116 2003/11/04 19:56:17 gibas Exp $
*/

include("conf.php");
include("functions.php");

//0.0.0.0 - access from any network.
if ($hosts_allow != "0.0.0.0") {
    $keywords = preg_split ("/([\s]+|[\s]*[\,][\s]*|[\s]*[;][\s]*)/", "$hosts_allow", -1, PREG_SPLIT_NO_EMPTY);

    for ($counter = 0; $counter < count($keywords); $counter++) {
        $hosts_allow = $keywords[$counter];
      
        $raddr = split("\.", $_SERVER['REMOTE_ADDR']);
        $hallow = split("\.", $hosts_allow);
    
        $access = 0;
        //check first four numbers of $hosts_allow
        for ($i = 0; $i <= 3; $i++) {
            if ($raddr[$i] == $hallow[$i]) {
                $access++;
            }
            //if adress is network address i.e. 192.168.1.0
            if ($i == 2 && $hallow[3] == "0") {
                $access++;
            }
        }
	//if $access == 4 access is granted.
        if ($access == 4) {
            $deny = 1;
        }
    }
    if (!$deny) {
        echo "Sorry, You don't have permission to access on this server.";
        exit();
    }
}

if (isset($_GET['host']) == 1 ) {
    include "host.php";
}
elseif (isset($_GET['daily']) == 1) {
    include "daily.php";
}
elseif (isset($_GET['dailygraph']) == 1) {
    include "daily-graph.php";
}
elseif (isset($_GET['dayinmonth']) == 1) {
    include "dayinmonth.php";
}
elseif (isset($_GET['dayinmonthgraph']) == 1) {
    include "dayinmonth-graph.php";
}
elseif (isset($_GET['monthly']) == 1) {
    include "monthly.php";
}
elseif (isset($_GET['monthlygraph']) == 1) {
    include "monthly-graph.php";
}
elseif (isset($_GET['monthinyear']) == 1) {
    include "monthinyear.php";
}
elseif (isset($_GET['monthinyeargraph']) ==1) {
    include "monthinyear-graph.php";
}
elseif (isset($_GET['yearly']) == 1) {
    include "yearly.php";
}
elseif (isset($_GET['yearlygraph']) == 1) {
    include "yearly-graph.php";
}
elseif (isset($_GET['yearinglobal']) == 1) {
    include "yearinglobal.php";
}
elseif (isset($_GET['yearinglobalgraph']) == 1) {
    include "yearinglobal-graph.php";
}
elseif (isset($_GET['global']) == 1) {
    include "global.php";
}
elseif (isset($_GET['globalgraph']) == 1) {
    include "global-graph.php";
}
//default stats
else {
    //Is it secure? I think so.
    $default_stats = addslashes($default_stats);
    
    if (isset($default_stats) && file_exists("./$default_stats" . ".php")) {
	include("$default_stats" . ".php");
    }
    else {
	include("daily.php");
    }
}

html_make_footer();

?>
